Bug 200048

Summary: [ews-build] view layout test results option should be displayed next to layout-test build step
Product: WebKit Reporter: Aakash Jain <aakash_jain>
Component: Tools / TestsAssignee: Aakash Jain <aakash_jain>
Status: RESOLVED FIXED    
Severity: Normal CC: aakash_jain, ap, commit-queue, jbedard, ryanhaddad, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: Other   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=200057
Attachments:
Description Flags
Patch none

Description Aakash Jain 2019-07-23 15:06:00 PDT
'view layout test results' and 'download layout test results' options should be displayed next to layout-test build step. Currently they are displayed next to 'extract-test-results' build step which is not want the users would expect.
Comment 1 Aakash Jain 2019-07-23 15:09:32 PDT
Created attachment 374712 [details]
Patch
Comment 2 Aakash Jain 2019-07-23 15:32:26 PDT
Sample run: https://ews-build.webkit-uat.org/#/builders/34/builds/53
Comment 3 Jonathan Bedard 2019-07-24 08:40:06 PDT
I wonder if this should be combined with <https://bugs.webkit.org/show_bug.cgi?id=200057>. It certainly seams that this is a pre-requisite for that change.
Comment 4 Aakash Jain 2019-07-24 08:46:01 PDT
(In reply to Jonathan Bedard from comment #3)
> I wonder if this should be combined with
> <https://bugs.webkit.org/show_bug.cgi?id=200057>. It certainly seams that
> this is a pre-requisite for that change.
Yes, this is a pre-requisite for that change. However if even we don't do that change, we should consider this one.
Comment 5 WebKit Commit Bot 2019-08-21 16:56:30 PDT
Comment on attachment 374712 [details]
Patch

Clearing flags on attachment: 374712

Committed r248976: <https://trac.webkit.org/changeset/248976>
Comment 6 WebKit Commit Bot 2019-08-21 16:56:32 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2019-08-21 16:58:30 PDT
<rdar://problem/54578690>